Перейти к содержимому

Overview

  • Version: 2.0.0
  • Servers: https://store.xsolla.com/api
  • Contact Us by Email
  • Contact URL: https://xsolla.com/
  • Required TLS version: 1.2

The Catalog API allows you to configure a catalog of in-game items on the Xsolla side and display the catalog to users in your store.

The API allows you to manage the following catalog entities:

  • Virtual items — in-game items such as weapons, skins, boosters.
  • Virtual currency — virtual money used to purchase virtual goods.
  • Virtual currency packages — predefined bundles of virtual currency.
  • Bundles — combined packages of virtual items, currency, or game keys sold as a single SKU.
  • Game keys — keys for games and DLCs distributed via platforms like Steam or other DRM providers.
  • Groups — logical groupings for organizing and sorting items within the catalog.

API calls

The API is divided into the following groups:

  • Admin — calls for creating, updating, deleting, and configuring catalog items and groups. Authenticated via basic access authentication with your merchant or project credentials. Not intended for storefront use.
  • Catalog — calls for retrieving items and building custom storefronts for end users. Designed to handle high-load scenarios. Support optional user JWT authorization to return personalized data such as user-specific limits and active promotions.

Authentication

API calls require authentication either on behalf of a user or on behalf of a project. The authentication scheme used is specified in the Security section in the description of each call.

Authentication using user's JWT

User's JWT authentication is used when a request is sent from a browser, mobile application, or game. By default, the XsollaLoginUserJWT scheme is applied. For details on how to create a token, see the Xsolla Login API documentation.

The token is passed in the Authorization header in the following format: Authorization: Bearer <user_JWT>, where <user_JWT> is the user token. The token identifies the user and provides access to personalized data. You can try this call using the following test token:

eyJ0eXAiOiJKV1QiLCJhbGciOiJIUzI1NiJ9.eyJleHAiOjE5NjIyMzQwNDgsImlzcyI6Imh0dHBzOi8vbG9naW4ueHNvbGxhLmNvbSIsImlhdCI6MTU2MjE0NzY0OCwidXNlcm5hbWUiOiJ4c29sbGEiLCJ4c29sbGFfbG9naW5fYWNjZXNzX2tleSI6IjA2SWF2ZHpDeEVHbm5aMTlpLUc5TmMxVWFfTWFZOXhTR3ZEVEY4OFE3RnMiLCJzdWIiOiJkMzQyZGFkMi05ZDU5LTExZTktYTM4NC00MjAxMGFhODAwM2YiLCJlbWFpbCI6InN1cHBvcnRAeHNvbGxhLmNvbSIsInR5cGUiOiJ4c29sbGFfbG9naW4iLCJ4c29sbGFfbG9naW5fcHJvamVjdF9pZCI6ImU2ZGZhYWM2LTc4YTgtMTFlOS05MjQ0LTQyMDEwYWE4MDAwNCIsInB1Ymxpc2hlcl9pZCI6MTU5MjR9.GCrW42OguZbLZTaoixCZgAeNLGH2xCeJHxl8u8Xn2aI

Alternatively, you can use a token for opening the payment UI.

Basic HTTP authentication

Basic HTTP authentication is used for server-to-server interactions, when an API call is sent directly from your server rather than from a user's browser or mobile application. HTTP Basic authentication with an API key is typically used.

Note

The API key is confidential and must not be stored or used in client applications.

With basic server-side authentication, all API requests must include the following header:

  • for basicAuthAuthorization: Basic <your_authorization_basic_key>, where your_authorization_basic_key is the project_id:api_key pair encoded in Base64
  • for basicMerchantAuthAuthorization: Basic <your_authorization_basic_key>, where your_authorization_basic_key is the merchant_id:api_key pair encoded in Base64

You can find the parameter values in Publisher Account:

  • merchant_id is displayed:
    • In Company settings > Company.
    • In the URL in the browser address bar on any Publisher Account page. The URL has the following format: https://publisher.xsolla.com/<merchant_id>.
  • project_id is displayed:
    • Next to the project name in Publisher Account.
    • In the URL in the browser address bar when working on a project in Publisher Account. The URL has the following format: https://publisher.xsolla.com/<merchant_id>/projects/<project_id>.
  • api_key is shown in Publisher Account only at the time of creation and must be stored securely on your side. You can create an API key in the following sections:
Notice

If a required API call doesn't include the project_id path parameter, use an API key that is valid across all company projects for authorization.

For more information about working with API keys, see the API references.

Authentication with guest access support

The AuthForCart authentication scheme is used for cart purchases and supports two modes:

  1. Authentication with a user's JWT. The token is passed in the Authorization header in the following format: Authorization: Bearer <user_JWT>, where <user_JWT> is the user token. The token identifies the user and provides access to personalized data. You can try this call using the following test token:
eyJ0eXAiOiJKV1QiLCJhbGciOiJIUzI1NiJ9.eyJleHAiOjE5NjIyMzQwNDgsImlzcyI6Imh0dHBzOi8vbG9naW4ueHNvbGxhLmNvbSIsImlhdCI6MTU2MjE0NzY0OCwidXNlcm5hbWUiOiJ4c29sbGEiLCJ4c29sbGFfbG9naW5fYWNjZXNzX2tleSI6IjA2SWF2ZHpDeEVHbm5aMTlpLUc5TmMxVWFfTWFZOXhTR3ZEVEY4OFE3RnMiLCJzdWIiOiJkMzQyZGFkMi05ZDU5LTExZTktYTM4NC00MjAxMGFhODAwM2YiLCJlbWFpbCI6InN1cHBvcnRAeHNvbGxhLmNvbSIsInR5cGUiOiJ4c29sbGFfbG9naW4iLCJ4c29sbGFfbG9naW5fcHJvamVjdF9pZCI6ImU2ZGZhYWM2LTc4YTgtMTFlOS05MjQ0LTQyMDEwYWE4MDAwNCIsInB1Ymxpc2hlcl9pZCI6MTU5MjR9.GCrW42OguZbLZTaoixCZgAeNLGH2xCeJHxl8u8Xn2aI

Alternatively, you can use a token for opening the payment UI.

  1. Simplified mode without Authorization header. This mode is used only for unauthorized users and can be applied only for game key sales. Instead of a token, the request must include the following headers:
    • x-unauthorized-id with a request ID
    • x-user with the user's email address encoded in Base64

Core entity structure

Items of all types (virtual items, bundles, virtual currency, and keys) use a similar data structure. Understanding the basic structure simplifies working with the API and helps you navigate the documentation more easily.

Note

Some calls may include additional fields but they don't change the basic structure.

Identification

  • merchant_id — company ID in Publisher Account
  • project_id — project ID in Publisher Account
  • sku — item SKU, unique within the project

Store display

  • name — item name
  • description — item description
  • image_url — image URL
  • is_enabled — item availability
  • is_show_in_store — whether the item is displayed in the catalog

For more information about managing item availability in the catalog, see the documentation.

Organization

  • type — item type, for example, a virtual item (virtual_item) or bundle (bundle)
  • groups — groups the item belongs to
  • order — display order in the catalog

Sale conditions

  • prices — prices in real or virtual currency
  • limits — purchase limits
  • periods — availability periods
  • regions — regional restrictions

Example of core entity structure:

{
  "attributes": [],
  "bundle_type": "virtual_currency_package",
  "content": [
    {
      "description": {
        "en": "Main in-game currency"
      },
      "image_url": "https://.../image.png",
      "name": {
        "en": "Crystals",
        "de": "Kristalle"
      },
      "quantity": 500,
      "sku": "com.xsolla.crystal_2",
      "type": "virtual_currency"
    }
  ],
  "description": {
    "en": "Crystals x500"
  },
  "groups": [],
  "image_url": "https://.../image.png",
  "is_enabled": true,
  "is_free": false,
  "is_show_in_store": true,
  "limits": {
    "per_item": null,
    "per_user": null,
    "recurrent_schedule": null
  },
  "long_description": null,
  "media_list": [],
  "name": {
    "en": "Medium crystal pack"
  },
  "order": 1,
  "periods": [
    {
      "date_from": null,
      "date_until": "2020-08-11T20:00:00+03:00"
    }
  ],
  "prices": [
    {
      "amount": 20,
      "country_iso": "US",
      "currency": "USD",
      "is_default": true,
      "is_enabled": true
    }
  ],
  "regions": [],
  "sku": "com.xsolla.crystal_pack_2",
  "type": "bundle",
  "vc_prices": []
}

Basic purchase flow

The Xsolla API allows you to implement in-game store logic, including retrieving the item catalog, managing the cart, creating orders, and tracking their status. Depending on the integration scenario, API calls are divided into Admin and Catalog subsections, which use different authentication schemes.

The following example shows a basic flow for setting up and operating a store, from item creation to purchase.

Create items and groups (Admin)

Create an item catalog for your store, such as virtual items, bundles, or virtual currency.

Example API calls:

Set up promotions, chains, and limits (Admin)

Configure user acquisition and monetization tools, such as discounts, bonuses, daily rewards, or offer chains.

Example API calls:

Get item information (Client)

Configure item display in your application.

Notice

Do not use API calls from the Admin subsection to build a user catalog. These API calls have rate limits and aren't intended for user traffic.

Example API calls:

Note

By default, catalog API calls return items that are currently available in the store at the time of the request. To retrieve items that are not yet available or are no longer available, include the parameter "show_inactive_time_limited_items": 1 in the catalog request.

Sell items

You can sell items using the following methods:

  • Fast purchase — sell one SKU multiple times.
  • Cart purchase — the user adds items to the cart, removes items, and updates quantities within a single order.

If an item is purchased using virtual currency instead of real money, use the Create order with specified item purchased by virtual currency API call. The payment UI is not required, as the charge is processed when the API call is executed.

For free item purchase, use the Create order with specified free item API call or the Create order with free cart API call. The payment UI is not required — the order is immediately set to the done status.

Fast purchase

Use the client-side API call to create an order with a specified item. The call returns a token used to open the payment UI.

Note

Discount information is available to the user only in the payment UI. Promo codes are not supported.

Cart purchase

Cart setup and purchase can be performed on the client or on the server side.

Set up and purchase a cart on the client

Implement the logic of adding and removing items by yourself. Before calling the API for setting up a cart, you will not have information about which promotions will be applied to the purchase. This means that the total cost and details of the added bonus items will not be known.

Implement the following cart logic:

  1. After the player has filled a cart, use the Fill cart with items API call. The call returns the current information about the selected items (prices before and after discounts, bonus items).
  2. Update the cart contents based on user actions:
Note

To get the current status of the cart, use the Get current user's cart API call.
  1. Use the Create order with all items from current cart API call. The call returns the order ID and payment token. The newly created order is set to new status by default.

Set up and purchase a cart on the server

This setup option may take longer for setting the cart up, since each change to the cart must be accompanied by API calls.

Implement the following cart logic:

  1. After the player has filled a cart, use the Fill cart with items API call. The call returns current information about the selected items (prices before and after discounts, bonus items).
  2. Use the Create order with all items from current cart API call. The call returns the order ID and payment token. The newly created order is set to new status by default.

Open payment UI

Use the returned token to open the payment UI in a new window. Other ways to open the payment UI are described in the documentation.

ActionEndpoint
Open in production environment.https://secure.xsolla.com/paystation4/?token={token}
Open in sandbox mode.https://sandbox-secure.xsolla.com/paystation4/?token={token}
Note

Use sandbox mode during development and testing. Test purchases don't charge real accounts. You can use test bank cards.

After the first real payment is made, a strict sandbox payment policy takes effect. A payment in sandbox mode is available only to users specified in Publisher Account > Company settings > Users.

Buying virtual currency and items for real currency is possible only after signing a license agreement with Xsolla. To do this, in Publisher Account, go to Agreements & Taxes > Agreements, complete the agreement form, and wait for confirmation. It may take up to 3 business days to review the agreement.

To enable or disable sandbox mode, change the value of the sandbox parameter in the request for fast purchase and cart purchase. Sandbox mode is off by default.

Possible order statuses:

  • new — order created
  • paid — payment received
  • done — item delivered
  • canceled — order canceled
  • expired — payment expired

Track order status using one of the following methods:

Pagination

API calls that return large sets of records (for example, when building a catalog) return data in pages. Pagination is a mechanism that limits the number of items returned in a single API response and allows you to retrieve subsequent pages sequentially.

Use the following parameters to control the number of returned items:

  • limit — number of items per page
  • offset — index of the first item on the page (numbering starts from 0)
  • has_more — indicates whether another page is available
  • total_items_count — total number of items

Example request:

GET /items?limit=20&offset=40

Response example:

{
  "items": [...],
  "has_more": true,
  "total_items_count": 135
}

It is recommended to send subsequent requests until the response returns has_more = false.

Date and time format

Dates and time values are passed in the ISO 8601 format.

The following are supported:

  • UTC offset
  • null value when there is no time restriction for displaying an item
  • Unix timestamp (in seconds) used in some fields

Format: YYYY-MM-DDTHH:MM:SS±HH:MM

Example: 2026-03-16T10:00:00+03:00

Localization

Xsolla supports localization of user-facing fields such as item name and description. Localized values are passed as an object where the language code is used as the key. The full list of supported languages is available in the documentation.

Supported fields

Localization can be specified for the following parameters:

  • name
  • description
  • long_description

Locale format

The locale key can be specified in one of the following formats:

  • Two-letter language code: en, ru
  • Five-letter language code: en-US, ru-RU, de-DE

Examples

Example with a two-letter language code:

{
  "name": {
    "en": "Starter Pack",
    "ru": "Стартовый набор"
  }
}

Example with a five-letter language code:

{
  "description": {
    "en-US": "Premium bundle",
    "de-DE": "Premium-Paket"
  }
}

Error response format

If an error occurs, the API returns an HTTP status and a JSON response body. The full list of store-related errors is available in the documentation.

Response example:

{
  "errorCode": 1102,
  "errorMessage": "Validation error",
  "statusCode": 422,
  "transactionId": "c9e1a..."
}
  • errorCode — error code.
  • errorMessage — short error description.
  • statusCode — HTTP response status.
  • transactionId — request ID. Returned only in some cases.
  • errorMessageExtended — additional error details, such as request parameters. Returned only in some cases.

Extended response example:

{
  "errorCode": 7001,
  "errorMessage": "Chain not found",
  "errorMessageExtended": {
    "chain_id": "test_chain_id",
    "project_id": "test_project_id",
    "step_number": 2
  },
  "statusCode": 404
}

Common HTTP status codes

  • 400 — invalid request
  • 401 — authentication error
  • 403 — insufficient permissions
  • 404 — resource not found
  • 422 — validation error
  • 429 — rate limit exceeded

Recommendations

  • Handle the HTTP status and the response body together.
  • Use errorCode to process errors related to application logic.
  • Use transactionId to identify requests more quickly when analyzing errors.
Скачать описание OpenAPI
Языки
Серверы
https://store.xsolla.com/api/
Mock server
https://xsolla.redocly.app/_mock/ru/api/catalog/
Операции

Получение списка виртуальных предметов по указанному ID группыServer-sideAdmin

Запрос

Получает список виртуальных предметов в рамках группы для администрирования.

Примечание

Не используйте данный метод для построения каталога магазина.
Безопасность
basicAuth
Путь
project_idintegerобязательный

Project ID. You can find this parameter in your Publisher Account next to the project name and in the browser address bar when working with a project. The URL has the following format: https://publisher.xsolla.com/<merchant_id>/projects/<project_id>.

Пример: 44056
group_idintegerобязательный

ID группы.

Пример: 10
Запрос
limitinteger>= 1

Лимит количества элементов на странице.

Пример: limit=50
offsetinteger>= 0

Номер элемента, с которого выполняется вывод на странице (нумерация ведется с 0).

Пример: offset=0
curl -i -X GET \
  -u <username>:<password> \
  'https://store.xsolla.com/api/v2/project/44056/admin/items/virtual_items/group/id/10?limit=50&offset=0'

Ответы

Список виртуальных предметов успешно получен.

Телоapplication/json
itemsArray of objects(Virtual-Items-Currency_admin-virtual-item)
items[].​attributesArray of objects(Virtual-Items-Currency_admin-attributes)

Список атрибутов.

Пример: [{"external_id":"attribute_external_id","name":{"de":"Attributname","en":"Attribute name"},"values":[{"external_id":"value_1","name":{"de":"wert 1","en":"value 1"}},{"external_id":"value_2","name":{"de":"wert 2","en":"value 2"}}]}]
items[].​attributes[].​external_idstring(admin-attribute-external_id)[ 1 .. 255 ] characters^[a-zA-Z0-9-_]+$обязательный

Уникальный ID атрибута. external_id может содержать только строчные и заглавные латинские буквы, цифры, тире и подчеркивания.

Пример: "attribute_external_id"
items[].​attributes[].​nameobject(admin-attribute-name)

Объект с локализациями для названия атрибута. Ключи для обозначения стран указаны в стандарте ISO 3166-1.

Пример: {"de":"Attributname","en":"Attribute name"}
items[].​attributes[].​name.​property name*stringдополнительное свойство
items[].​attributes[].​valuesArray of objects(attribute-value)обязательный
Пример: [{"external_id":"value_1","name":{"de":"wert 1","en":"value 1"}},{"external_id":"value_2","name":{"de":"wert 2","en":"value 2"}}]
items[].​attributes[].​values[].​external_idstring(value-external_id)[ 1 .. 255 ] characters^[-_.\d\w]+$обязательный

Уникальный ID значения атрибута. external_id может содержать только строчные латинские буквы, цифры, тире и подчеркивания.

Пример: "value_external_id"
items[].​attributes[].​values[].​valueobject(value-name)обязательный

Объект с локализациями для названия значения. Ключи для обозначения стран указаны в стандарте ISO 3166-1.

items[].​attributes[].​values[].​value.​property name*stringдополнительное свойство
items[].​custom_attributesobject(json)(item-custom-attributes-response)

JSON-объект, содержащий атрибуты товара и их значения.

items[].​description(two-letter (object or null)) or (five-letter (object or null))(description-localization-object)

Объект с локализованными описаниями товара. Принимает значения в одном из двух форматов: двухбуквенный код языка в нижнем регистре (например, en) или код локали из пяти символов (например, en-US). Оба формата допустимы при отправке запроса, но в ответе всегда используется код из двух символов. Если для одного языка указаны оба варианта (например, en и en-US), будет сохранено последнее переданное значение. Полный список поддерживаемых языков приведен в документации.

Any of:

Двухбуквенные строчные языковые коды.

items[].​description.​arstring or null

Арабский

items[].​description.​bgstring or null

Болгарский

items[].​description.​cnstring or null

Китайский упрощенный

items[].​description.​csstring or null

Чешский

items[].​description.​destring or null

Немецкий

items[].​description.​enstring or null

Английский

items[].​description.​esstring or null

Spanish (Spain)

items[].​description.​frstring or null

Французский

items[].​description.​hestring or null

Иврит

items[].​description.​idstring or null

Индонезийский

items[].​description.​itstring or null

Итальянский

items[].​description.​jastring or null

Японский

items[].​description.​kmstring or null

Кхмерский

items[].​description.​kostring or null

Корейский

items[].​description.​lostring or null

Лаосский

items[].​description.​mystring or null

Бирманский

items[].​description.​nestring or null

Непальский

items[].​description.​phstring or null

Филиппинский

items[].​description.​plstring or null

Польский

items[].​description.​ptstring or null

Португальский

items[].​description.​rostring or null

Румынский

items[].​description.​rustring or null

Русский

items[].​description.​thstring or null

Тайский

items[].​description.​trstring or null

Турецкий

items[].​description.​twstring or null

Китайский традиционный

items[].​description.​vistring or null

Вьетнамский

items[].​groupsArray of objects(Virtual-Items-Currency_admin-groups-response)

Группы, к которым принадлежит товар.

items[].​groups[].​external_idstring
Пример: "horror"
items[].​groups[].​nameobject

Название элемента. Должно содержать пары ключ/значение, где ключ — это языковой стандарт в {2}формате "^[a-z]", значение — строка.

По умолчанию {"en":"Horror"}
Пример: {"de":"Horror","en":"Horror"}
items[].​groups[].​name.​property name*stringдополнительное свойство
items[].​image_urlstring(Virtual-Items-Currency_admin-image_url)

Image URL.

items[].​is_enabledboolean(Virtual-Items-Currency_is_enabled)

Whether the item is available. If false, the item can't be purchased in the store or obtained as part of a bundle or within a marketing campaign. Refer to our documentation for detailed information about item availability.

items[].​is_freeboolean(value-is_free)

Является ли товар бесплатным.

items[].​is_paid_randomized_rewardboolean(value-is_paid_randomized_reward)

Является ли товар случайной платной наградой, например лутбоксом.

items[].​is_show_in_storeboolean(Virtual-Items-Currency_is_show_in_store)

Whether the item is displayed in the catalog. If false and is_enabled: true, the item is not visible in the catalog but can be obtained as part of a bundle or within marketing campaigns. Refer to our documentation for detailed information about item availability.

items[].​limitsobject or null(admin-item-limit-response)

Ограничения на продажу товара.

items[].​limits.​per_itemobject or null

Глобальное ограничение товара.

items[].​limits.​per_item.​availableinteger

Оставшееся количество товара, которое могут приобрести все пользователи.

items[].​limits.​per_item.​reservedinteger
items[].​limits.​per_item.​soldinteger
items[].​limits.​per_item.​totalinteger

Максимальное количество товара, которое могут приобрести все пользователи.

items[].​limits.​per_userobject or null

Ограничение количества товара для отдельного пользователя.

items[].​limits.​per_user.​limit_exceeded_visibilitystring(limit_exceeded_visibility)

Determines the visibility of the item in the catalog after the purchase limit is reached, until the next limit reset.

Applies to items for which recurring limit resets are configured in the recurrent_schedule array.

If limit resets are not configured, the item doesn't appear in the catalog after the purchase limit is reached, regardless of the limit_exceeded_visibility value.

Possible values:

  • show — The item is returned in catalog retrieval API calls after the purchase limit is reached. In client-side catalog retrieval API calls, once the limit is reached, the item is returned with the can_be_bought: false flag. The next reset date is returned in reset_next_date.
  • hide — The item is not returned in catalog retrieval API calls after the purchase limit is reached, until the limit is reset.
Перечисление"show""hide"
items[].​limits.​per_user.​totalinteger

Максимальное количество товара, которое может приобрести один пользователь.

items[].​limits.​recurrent_scheduleobject or null(admin_recurrent_schedule_response)

Период обновления установленный ограничений.

items[].​limits.​recurrent_schedule.​per_userinterval_type = daily (object) or interval_type = еженедельно (object) or interval_type = ежемесячно (object) or interval_type = hourly (object)

Период обновления установленный ограничений для пользователя.

One of:

Ежедневное обновления пользовательских ограничений.

items[].​limits.​recurrent_schedule.​per_user.​displayable_reset_next_datestring(date-time)

Дата и время, когда ограничения должны быть сброшены (ISO 8601).

Пример: "2023-02-28T11:00:00+08:00"
items[].​limits.​recurrent_schedule.​per_user.​displayable_reset_start_datestring(date-time)

Дата и время первого обновления ограничения (ISO 8601).

Пример: "2023-02-28T11:00:00+08:00"
items[].​limits.​recurrent_schedule.​per_user.​interval_typestring

Период обновления ограничения на продажу товара.

Значение"daily"
items[].​limits.​recurrent_schedule.​per_user.​reset_next_dateinteger

Дата и время обновления ограничений (Unix Timestamp).

Пример: 1677553200
items[].​limits.​recurrent_schedule.​per_user.​timestring(full-time)

Время обновления ограничений в желаемом часовом поясе (округление до часов).

Пример: "11:00:00+03:00"
items[].​long_description(two-letter (object or null)) or (five-letter (object or null))(long-description-localization-object)

Объект с локализованными длинными описаниями товара. Принимает значения в одном из двух форматов: двухбуквенный код языка в нижнем регистре (например, en) или код локали из пяти символов (например, en-US). Оба формата допустимы при отправке запроса, но в ответе всегда используется код из двух символов. Если для одного языка указаны оба варианта (например, en и en-US), будет сохранено последнее переданное значение. Полный список поддерживаемых языков приведен в документации.

Any of:

Двухбуквенные строчные языковые коды.

items[].​long_description.​arstring or null

Арабский

items[].​long_description.​bgstring or null

Болгарский

items[].​long_description.​cnstring or null

Китайский упрощенный

items[].​long_description.​csstring or null

Чешский

items[].​long_description.​destring or null

Немецкий

items[].​long_description.​enstring or null

Английский

items[].​long_description.​esstring or null

Spanish (Spain)

items[].​long_description.​frstring or null

Французский

items[].​long_description.​hestring or null

Иврит

items[].​long_description.​idstring or null

Индонезийский

items[].​long_description.​itstring or null

Итальянский

items[].​long_description.​jastring or null

Японский

items[].​long_description.​kmstring or null

Кхмерский

items[].​long_description.​kostring or null

Корейский

items[].​long_description.​lostring or null

Лаосский

items[].​long_description.​mystring or null

Бирманский

items[].​long_description.​nestring or null

Непальский

items[].​long_description.​phstring or null

Филиппинский

items[].​long_description.​plstring or null

Польский

items[].​long_description.​ptstring or null

Португальский

items[].​long_description.​rostring or null

Румынский

items[].​long_description.​rustring or null

Русский

items[].​long_description.​thstring or null

Тайский

items[].​long_description.​trstring or null

Турецкий

items[].​long_description.​twstring or null

Китайский традиционный

items[].​long_description.​vistring or null

Вьетнамский

items[].​media_listArray of objects(Virtual-Items-Currency_admin-media_list)

Дополнительные ассеты предмета, такие как скриншоты, видео игрового процесса и так далее.

items[].​media_list[].​typestring

Тип медиа: image/video.

Перечисление"image""video"
Пример: "image"
items[].​media_list[].​urlstring

Ссылка на файл.

Пример: "https://cdn3.xsolla.com/img/misc/images/71ab1e12126f2103e1868076f0acb21a.jpg"
items[].​name(two-letter (object or null)) or (five-letter (object or null))(name-localization-object)

Объект с локализованными названиями товара. Принимает значения в одном из двух форматов: двухбуквенный код языка в нижнем регистре (например, en) или код языка из пяти символов (например, en-US). Оба формата допустимы при отправке запроса, но в ответе всегда используется двухбуквенный код языка. Если для одного языка указаны оба варианта (например, en и en-US), будет сохранено последнее переданное значение. Полный список поддерживаемых языков приведен в документации.

Any of:

Двухбуквенные строчные языковые коды.

items[].​name.​arstring or null

Арабский

items[].​name.​bgstring or null

Болгарский

items[].​name.​cnstring or null

Китайский упрощенный

items[].​name.​csstring or null

Чешский

items[].​name.​destring or null

Немецкий

items[].​name.​enstring or null

Английский

items[].​name.​esstring or null

Spanish (Spain)

items[].​name.​frstring or null

Французский

items[].​name.​hestring or null

Иврит

items[].​name.​idstring or null

Индонезийский

items[].​name.​itstring or null

Итальянский

items[].​name.​jastring or null

Японский

items[].​name.​kmstring or null

Кхмерский

items[].​name.​kostring or null

Корейский

items[].​name.​lostring or null

Лаосский

items[].​name.​mystring or null

Бирманский

items[].​name.​nestring or null

Непальский

items[].​name.​phstring or null

Филиппинский

items[].​name.​plstring or null

Польский

items[].​name.​ptstring or null

Португальский

items[].​name.​rostring or null

Румынский

items[].​name.​rustring or null

Русский

items[].​name.​thstring or null

Тайский

items[].​name.​trstring or null

Турецкий

items[].​name.​twstring or null

Китайский традиционный

items[].​name.​vistring or null

Вьетнамский

items[].​orderinteger(Virtual-Items-Currency_order)

Item display order in the catalog. The higher the value, the lower the item appears in the list. If the values are the same, items are sorted by creation date, with newer items displayed higher.

items[].​periodsArray of objects(item-periods-response)

Период продажи товара.

items[].​periods[].​date_fromstring or null(date-time)

Дата, когда указанный товар будет доступен для продажи.

Пример: "2020-08-11T10:00:00+03:00"
items[].​periods[].​date_untilstring or null(date-time)

Дата, когда указанный товар станет недоступен для продажи. Может быть null.

Пример: "2020-08-11T20:00:00+03:00"
items[].​pricesArray of objects(Virtual-Items_admin-prices)
Пример: [{"amount":10.5,"currency":"USD","is_default":true,"is_enabled":true}]
items[].​prices[].​amountnumber> 0обязательный

Сумма.

Пример: 10.5
items[].​prices[].​country_isostring

Двухбуквенное обозначение страны в верхнем регистре согласно стандарту ISO 3166-1 alpha-2. Список стран, поддерживаемых Xsolla, приведен в документации.
Пример: country=US

Пример: "US"
items[].​prices[].​currencystringобязательный

Валюта, в которой указана цена товара. Трехбуквенный код в соответствии с ISO 4217. Подробную информацию о валютах, поддерживаемых Xsolla, смотрите в документации.

Пример: "USD"
items[].​prices[].​is_defaultboolean
По умолчанию false
Пример: true
items[].​prices[].​is_enabledboolean
По умолчанию true
Пример: true
items[].​regionsArray of objects(Virtual-Items-Currency_admin-regions)

Array of regions where the item is available. If the array is empty or not passed, the item is available in all regions.

items[].​regions[].​idinteger>= 1

Region ID within the project.

Refer to the regional sale restriction documentation and region management API calls for detailed information.

Пример: 1
items[].​skustring(Virtual-Items-Currency_sku)[ 1 .. 255 ] characters^[a-zA-Z0-9_\-–.]*$

Уникальный ID товара. Артикул может содержать только строчные и заглавные латинские буквы, цифры, точки, тире и подчеркивания.

items[].​typestring(Virtual-Items-Currency_type)

Тип товара: virtual_good/virtual_currency/bundle/physical_good/unit.

items[].​vc_pricesArray of objects(Virtual-Items-Currency_admin-get-vc_prices)
Пример: [{"amount":10,"is_default":true,"sku":"com.xsolla.gold_1"}]
items[].​vc_prices[].​amountnumber> 0обязательный

Сумма.

Пример: 10
items[].​vc_prices[].​is_defaultboolean
По умолчанию false
Пример: true
items[].​vc_prices[].​skustring(Virtual-Items-Currency_schemas-sku)обязательный

Уникальный ID товара. Артикул может содержать только строчные и заглавные латинские буквы, цифры, точки, тире и подчеркивания.

Пример: "com.xsolla.gold_1"
Ответ
application/json
{ "items": [ {}, {}, {}, {} ] }

Удаление виртуального предметаServer-sideAdmin

Запрос

Удаляет виртуальный предмет.

Безопасность
basicAuth
Путь
project_idintegerобязательный

Project ID. You can find this parameter in your Publisher Account next to the project name and in the browser address bar when working with a project. The URL has the following format: https://publisher.xsolla.com/<merchant_id>/projects/<project_id>.

Пример: 44056
item_skustringобязательный

Артикул товара.

Пример: booster_mega_1
curl -i -X DELETE \
  -u <username>:<password> \
  https://store.xsolla.com/api/v2/project/44056/admin/items/virtual_items/sku/booster_mega_1

Ответы

Виртуальный предмет успешно удален.

Тело
Ответ
Нет содержимого

Получение виртуального предметаServer-sideAdmin

Запрос

Получает виртуальный предмет в рамках проекта для администрирования.

Примечание

Не используйте данный метод для построения каталога магазина.
Безопасность
basicAuth
Путь
project_idintegerобязательный

Project ID. You can find this parameter in your Publisher Account next to the project name and in the browser address bar when working with a project. The URL has the following format: https://publisher.xsolla.com/<merchant_id>/projects/<project_id>.

Пример: 44056
item_skustringобязательный

Артикул товара.

Пример: booster_mega_1
curl -i -X GET \
  -u <username>:<password> \
  https://store.xsolla.com/api/v2/project/44056/admin/items/virtual_items/sku/booster_mega_1

Ответы

Указанный виртуальный предмет успешно получен.

Телоapplication/json
attributesArray of objects(Virtual-Items-Currency_admin-attributes)

Список атрибутов.

Пример: [{"external_id":"attribute_external_id","name":{"de":"Attributname","en":"Attribute name"},"values":[{"external_id":"value_1","name":{"de":"wert 1","en":"value 1"}},{"external_id":"value_2","name":{"de":"wert 2","en":"value 2"}}]}]
attributes[].​external_idstring(admin-attribute-external_id)[ 1 .. 255 ] characters^[a-zA-Z0-9-_]+$обязательный

Уникальный ID атрибута. external_id может содержать только строчные и заглавные латинские буквы, цифры, тире и подчеркивания.

Пример: "attribute_external_id"
attributes[].​nameobject(admin-attribute-name)

Объект с локализациями для названия атрибута. Ключи для обозначения стран указаны в стандарте ISO 3166-1.

Пример: {"de":"Attributname","en":"Attribute name"}
attributes[].​name.​property name*stringдополнительное свойство
attributes[].​valuesArray of objects(attribute-value)обязательный
Пример: [{"external_id":"value_1","name":{"de":"wert 1","en":"value 1"}},{"external_id":"value_2","name":{"de":"wert 2","en":"value 2"}}]
attributes[].​values[].​external_idstring(value-external_id)[ 1 .. 255 ] characters^[-_.\d\w]+$обязательный

Уникальный ID значения атрибута. external_id может содержать только строчные латинские буквы, цифры, тире и подчеркивания.

Пример: "value_external_id"
attributes[].​values[].​valueobject(value-name)обязательный

Объект с локализациями для названия значения. Ключи для обозначения стран указаны в стандарте ISO 3166-1.

attributes[].​values[].​value.​property name*stringдополнительное свойство
custom_attributesobject(json)(item-custom-attributes-response)

JSON-объект, содержащий атрибуты товара и их значения.

description(two-letter (object or null)) or (five-letter (object or null))(description-localization-object)

Объект с локализованными описаниями товара. Принимает значения в одном из двух форматов: двухбуквенный код языка в нижнем регистре (например, en) или код локали из пяти символов (например, en-US). Оба формата допустимы при отправке запроса, но в ответе всегда используется код из двух символов. Если для одного языка указаны оба варианта (например, en и en-US), будет сохранено последнее переданное значение. Полный список поддерживаемых языков приведен в документации.

Any of:

Двухбуквенные строчные языковые коды.

description.​arstring or null

Арабский

description.​bgstring or null

Болгарский

description.​cnstring or null

Китайский упрощенный

description.​csstring or null

Чешский

description.​destring or null

Немецкий

description.​enstring or null

Английский

description.​esstring or null

Spanish (Spain)

description.​frstring or null

Французский

description.​hestring or null

Иврит

description.​idstring or null

Индонезийский

description.​itstring or null

Итальянский

description.​jastring or null

Японский

description.​kmstring or null

Кхмерский

description.​kostring or null

Корейский

description.​lostring or null

Лаосский

description.​mystring or null

Бирманский

description.​nestring or null

Непальский

description.​phstring or null

Филиппинский

description.​plstring or null

Польский

description.​ptstring or null

Португальский

description.​rostring or null

Румынский

description.​rustring or null

Русский

description.​thstring or null

Тайский

description.​trstring or null

Турецкий

description.​twstring or null

Китайский традиционный

description.​vistring or null

Вьетнамский

groupsArray of objects(Virtual-Items-Currency_admin-groups-response)

Группы, к которым принадлежит товар.

groups[].​external_idstring
Пример: "horror"
groups[].​nameobject

Название элемента. Должно содержать пары ключ/значение, где ключ — это языковой стандарт в {2}формате "^[a-z]", значение — строка.

По умолчанию {"en":"Horror"}
Пример: {"de":"Horror","en":"Horror"}
groups[].​name.​property name*stringдополнительное свойство
image_urlstring(Virtual-Items-Currency_admin-image_url)

Image URL.

is_enabledboolean(Virtual-Items-Currency_is_enabled)

Whether the item is available. If false, the item can't be purchased in the store or obtained as part of a bundle or within a marketing campaign. Refer to our documentation for detailed information about item availability.

is_freeboolean(value-is_free)

Является ли товар бесплатным.

is_paid_randomized_rewardboolean(value-is_paid_randomized_reward)

Является ли товар случайной платной наградой, например лутбоксом.

is_show_in_storeboolean(Virtual-Items-Currency_is_show_in_store)

Whether the item is displayed in the catalog. If false and is_enabled: true, the item is not visible in the catalog but can be obtained as part of a bundle or within marketing campaigns. Refer to our documentation for detailed information about item availability.

limitsobject or null(admin-item-limit-response)

Ограничения на продажу товара.

limits.​per_itemobject or null

Глобальное ограничение товара.

limits.​per_item.​availableinteger

Оставшееся количество товара, которое могут приобрести все пользователи.

limits.​per_item.​reservedinteger
limits.​per_item.​soldinteger
limits.​per_item.​totalinteger

Максимальное количество товара, которое могут приобрести все пользователи.

limits.​per_userobject or null

Ограничение количества товара для отдельного пользователя.

limits.​per_user.​limit_exceeded_visibilitystring(limit_exceeded_visibility)

Determines the visibility of the item in the catalog after the purchase limit is reached, until the next limit reset.

Applies to items for which recurring limit resets are configured in the recurrent_schedule array.

If limit resets are not configured, the item doesn't appear in the catalog after the purchase limit is reached, regardless of the limit_exceeded_visibility value.

Possible values:

  • show — The item is returned in catalog retrieval API calls after the purchase limit is reached. In client-side catalog retrieval API calls, once the limit is reached, the item is returned with the can_be_bought: false flag. The next reset date is returned in reset_next_date.
  • hide — The item is not returned in catalog retrieval API calls after the purchase limit is reached, until the limit is reset.
Перечисление"show""hide"
limits.​per_user.​totalinteger

Максимальное количество товара, которое может приобрести один пользователь.

limits.​recurrent_scheduleobject or null(admin_recurrent_schedule_response)

Период обновления установленный ограничений.

limits.​recurrent_schedule.​per_userinterval_type = daily (object) or interval_type = еженедельно (object) or interval_type = ежемесячно (object) or interval_type = hourly (object)

Период обновления установленный ограничений для пользователя.

One of:

Ежедневное обновления пользовательских ограничений.

limits.​recurrent_schedule.​per_user.​displayable_reset_next_datestring(date-time)

Дата и время, когда ограничения должны быть сброшены (ISO 8601).

Пример: "2023-02-28T11:00:00+08:00"
limits.​recurrent_schedule.​per_user.​displayable_reset_start_datestring(date-time)

Дата и время первого обновления ограничения (ISO 8601).

Пример: "2023-02-28T11:00:00+08:00"
limits.​recurrent_schedule.​per_user.​interval_typestring

Период обновления ограничения на продажу товара.

Значение"daily"
limits.​recurrent_schedule.​per_user.​reset_next_dateinteger

Дата и время обновления ограничений (Unix Timestamp).

Пример: 1677553200
limits.​recurrent_schedule.​per_user.​timestring(full-time)

Время обновления ограничений в желаемом часовом поясе (округление до часов).

Пример: "11:00:00+03:00"
long_description(two-letter (object or null)) or (five-letter (object or null))(long-description-localization-object)

Объект с локализованными длинными описаниями товара. Принимает значения в одном из двух форматов: двухбуквенный код языка в нижнем регистре (например, en) или код локали из пяти символов (например, en-US). Оба формата допустимы при отправке запроса, но в ответе всегда используется код из двух символов. Если для одного языка указаны оба варианта (например, en и en-US), будет сохранено последнее переданное значение. Полный список поддерживаемых языков приведен в документации.

Any of:

Двухбуквенные строчные языковые коды.

long_description.​arstring or null

Арабский

long_description.​bgstring or null

Болгарский

long_description.​cnstring or null

Китайский упрощенный

long_description.​csstring or null

Чешский

long_description.​destring or null

Немецкий

long_description.​enstring or null

Английский

long_description.​esstring or null

Spanish (Spain)

long_description.​frstring or null

Французский

long_description.​hestring or null

Иврит

long_description.​idstring or null

Индонезийский

long_description.​itstring or null

Итальянский

long_description.​jastring or null

Японский

long_description.​kmstring or null

Кхмерский

long_description.​kostring or null

Корейский

long_description.​lostring or null

Лаосский

long_description.​mystring or null

Бирманский

long_description.​nestring or null

Непальский

long_description.​phstring or null

Филиппинский

long_description.​plstring or null

Польский

long_description.​ptstring or null

Португальский

long_description.​rostring or null

Румынский

long_description.​rustring or null

Русский

long_description.​thstring or null

Тайский

long_description.​trstring or null

Турецкий

long_description.​twstring or null

Китайский традиционный

long_description.​vistring or null

Вьетнамский

media_listArray of objects(Virtual-Items-Currency_admin-media_list)

Дополнительные ассеты предмета, такие как скриншоты, видео игрового процесса и так далее.

media_list[].​typestring

Тип медиа: image/video.

Перечисление"image""video"
Пример: "image"
media_list[].​urlstring

Ссылка на файл.

Пример: "https://cdn3.xsolla.com/img/misc/images/71ab1e12126f2103e1868076f0acb21a.jpg"
name(two-letter (object or null)) or (five-letter (object or null))(name-localization-object)

Объект с локализованными названиями товара. Принимает значения в одном из двух форматов: двухбуквенный код языка в нижнем регистре (например, en) или код языка из пяти символов (например, en-US). Оба формата допустимы при отправке запроса, но в ответе всегда используется двухбуквенный код языка. Если для одного языка указаны оба варианта (например, en и en-US), будет сохранено последнее переданное значение. Полный список поддерживаемых языков приведен в документации.

Any of:

Двухбуквенные строчные языковые коды.

name.​arstring or null

Арабский

name.​bgstring or null

Болгарский

name.​cnstring or null

Китайский упрощенный

name.​csstring or null

Чешский

name.​destring or null

Немецкий

name.​enstring or null

Английский

name.​esstring or null

Spanish (Spain)

name.​frstring or null

Французский

name.​hestring or null

Иврит

name.​idstring or null

Индонезийский

name.​itstring or null

Итальянский

name.​jastring or null

Японский

name.​kmstring or null

Кхмерский

name.​kostring or null

Корейский

name.​lostring or null

Лаосский

name.​mystring or null

Бирманский

name.​nestring or null

Непальский

name.​phstring or null

Филиппинский

name.​plstring or null

Польский

name.​ptstring or null

Португальский

name.​rostring or null

Румынский

name.​rustring or null

Русский

name.​thstring or null

Тайский

name.​trstring or null

Турецкий

name.​twstring or null

Китайский традиционный

name.​vistring or null

Вьетнамский

orderinteger(Virtual-Items-Currency_order)

Item display order in the catalog. The higher the value, the lower the item appears in the list. If the values are the same, items are sorted by creation date, with newer items displayed higher.

periodsArray of objects(item-periods-response)

Период продажи товара.

periods[].​date_fromstring or null(date-time)

Дата, когда указанный товар будет доступен для продажи.

Пример: "2020-08-11T10:00:00+03:00"
periods[].​date_untilstring or null(date-time)

Дата, когда указанный товар станет недоступен для продажи. Может быть null.

Пример: "2020-08-11T20:00:00+03:00"
pricesArray of objects(Virtual-Items_admin-prices)
Пример: [{"amount":10.5,"currency":"USD","is_default":true,"is_enabled":true}]
prices[].​amountnumber> 0обязательный

Сумма.

Пример: 10.5
prices[].​country_isostring

Двухбуквенное обозначение страны в верхнем регистре согласно стандарту ISO 3166-1 alpha-2. Список стран, поддерживаемых Xsolla, приведен в документации.
Пример: country=US

Пример: "US"
prices[].​currencystringобязательный

Валюта, в которой указана цена товара. Трехбуквенный код в соответствии с ISO 4217. Подробную информацию о валютах, поддерживаемых Xsolla, смотрите в документации.

Пример: "USD"
prices[].​is_defaultboolean
По умолчанию false
Пример: true
prices[].​is_enabledboolean
По умолчанию true
Пример: true
regionsArray of objects(Virtual-Items-Currency_admin-regions)

Array of regions where the item is available. If the array is empty or not passed, the item is available in all regions.

regions[].​idinteger>= 1

Region ID within the project.

Refer to the regional sale restriction documentation and region management API calls for detailed information.

Пример: 1
skustring(Virtual-Items-Currency_sku)[ 1 .. 255 ] characters^[a-zA-Z0-9_\-–.]*$

Уникальный ID товара. Артикул может содержать только строчные и заглавные латинские буквы, цифры, точки, тире и подчеркивания.

typestring(Virtual-Items-Currency_type)

Тип товара: virtual_good/virtual_currency/bundle/physical_good/unit.

vc_pricesArray of objects(Virtual-Items-Currency_admin-get-vc_prices)
Пример: [{"amount":10,"is_default":true,"sku":"com.xsolla.gold_1"}]
vc_prices[].​amountnumber> 0обязательный

Сумма.

Пример: 10
vc_prices[].​is_defaultboolean
По умолчанию false
Пример: true
vc_prices[].​skustring(Virtual-Items-Currency_schemas-sku)обязательный

Уникальный ID товара. Артикул может содержать только строчные и заглавные латинские буквы, цифры, точки, тире и подчеркивания.

Пример: "com.xsolla.gold_1"
Ответ
application/json
{ "attributes": [ {} ], "custom_attributes": { "attr": "value", "purchased": 0 }, "description": { "en": "Honshu Boshin Wakizashi - Modern Tactical Samurai / Ninja Sword - Hand Forged 1060 Carbon Steel - Full Tang, Fully Functional, Battle Ready - Black TPR, Steel Guard and Pommel" }, "groups": [ {}, {} ], "image_url": "https://cdn.xsolla.net/img/misc/images/8ab44fe99038a56de01950ba4a971b77.png", "is_enabled": true, "is_free": false, "is_paid_randomized_reward": true, "is_show_in_store": true, "limits": { "per_item": null, "per_user": {}, "recurrent_schedule": {} }, "long_description": { "en": "Honshu Boshin Wakizashi - Modern Tactical Samurai / Ninja Sword - Hand Forged 1060 Carbon Steel - Full Tang, Fully Functional, Battle Ready - Black TPR, Steel Guard and Pommel" }, "media_list": [], "name": { "en": "Sword Xsolla Skin" }, "order": 1, "periods": [ {} ], "prices": [ {} ], "regions": [], "sku": "com.xsolla.swords_1", "type": "virtual_good", "vc_prices": [] }
Операции
Операции
Операции
Операции
Операции
Операции
Операции

Корзина (на стороне клиента)

Операции

Корзина (на стороне сервера)

Операции

Оплата (на стороне клиента)

Операции

Оплата (на стороне сервера)

Операции
Операции
Операции
Операции
Операции
Операции
Операции

Catalog

Данный API позволяет получать продаваемые товары любого вида или конкретный товар.

Операции
Операции
Операции
Операции
Операции